<!--
  Generated template for the OpenRidePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>

    <button ion-button menuToggle *ngIf="firstslide">
      <ion-icon name="menu"></ion-icon>
    </button>

    <ion-title>Create Open Ride</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
	
		<ion-slides #slides class="swiper-no-swiping">
			<!-- Location Page --> 
			<ion-slide>
				<div class="text-center" padding>
					<p class="pad-all-10">Open Rides are trips with a flexible date and time range instead of a fixed date/time.</p> 
					<div id="location_from" padding>

						<h4>Where is your starting location?</h4>

						<p class="small-text text-medium">Please input a safe public place close to your starting point (like a coffee shop).</p>

						<div class="form" >
							<!-- taking out for now, glitches<ion-icon name="compass" class="current_loc" (click)="getCurrentLocation()"></ion-icon>-->
							<ion-item>
								<ion-input [(ngModel)]="autocomplete_from.input" (keyup)="updateSearchResultsFrom()" placeholder="Enter start address" type="text" id="searbar_from" clearInput></ion-input>
							</ion-item>

							<ion-list [hidden]="autocompleteItemsFrom.length == 0" class="search-locations">
								<ion-item *ngFor="let item of autocompleteItemsFrom" (click)="selectSearchResultFrom($event,item)">{{ item.description }} </ion-item>
							</ion-list>
						</div>
					</div>

					<div id="location_to" class="padding-top" padding>
							
						<h4>Where does your trip end?</h4>
						
						<div class="form" >
							<ion-item>
								<ion-input [(ngModel)]="autocomplete_to.input" 
								(keyup)="updateSearchResultsTo()" 
								placeholder="Enter end address" type="text" clearInput></ion-input>
							</ion-item>

							<ion-list [hidden]="autocompleteItemsTo.length == 0" class="search-locations">
								<ion-item *ngFor="let item of autocompleteItemsTo" tappable (click)="selectSearchResultTo(item)">
								      {{ item.description }}
								</ion-item>
							</ion-list>
						</div>
					</div>

					<div *ngIf="continue">
						<h2>Distance: <span class="text-medium">{{totalDistance}} miles</span></h2> 
					</div>

					<div inset padding>
						<button (click)="startNavigating()" ion-button block color="primary" 
						class="rounded" *ngIf="allowContinue">
							Route
						</button>
						<button (click)="nextPage()" ion-button block color="primary" 
						class="rounded" *ngIf="continue">
							Continue
						</button>
					</div>
				</div>
			</ion-slide>

			<!-- Price Page --> 
			<ion-slide>
				<div class="text-center pad-all-10">
			    	<h2 class="pad-20">Price per seat:</h2>

			    	<div class="pricing">
	    					<ion-row style="padding: 20% 0 20% 0;">
	    						<ion-col col-1></ion-col>
	    						<ion-col col-3 class="text-left">
	    							<button (click)="sub(pricePerSeat)" class="priceIcons_big">
			    						<ion-icon name="remove" class="grey-circle"></ion-icon>
			    					</button>
			    				</ion-col>
			    				<ion-col col-4>
			    					<h2 class="text-center" style="padding:15px 0 0 14px"> 
			    					${{ pricePerSeat }} </h2>
			    				</ion-col>
			    				<ion-col col-3>
			    					<button (click)="add(pricePerSeat)" class="priceIcons_big">
		    							<ion-icon name="add" class="grey-circle"></ion-icon>
		    						</button>
			    				</ion-col>
								<ion-col col-1></ion-col>
		    				</ion-row>
			    	</div>

			    	<button (click)="nextPage()" position="bottom" id="button-float" 
			    			ion-button block color="primary" class="rounded" *ngIf="continue">
						Next <ion-icon name="md-arrow-forward" style="padding-left:10px" class="icon-big"></ion-icon>
					</button>

					<!-- if any other slide -->
				    <button (click)="backPage()" position="bottom" id="button-float-left" 
				    		ion-button block color="light" class="rounded" *ngIf="notFirstSlide"> 
				    	<ion-icon name="md-arrow-back" class="icon-big" style="padding-left:10px; color: #888;"></ion-icon>
					</button>

		    	</div>
			</ion-slide>

			<!-- Dates & Hours Page --> 
			<ion-slide>
				<div class="text-center pad-all-10">
					<p>Available date & time range:</p>

					<div class="form">
						<ion-item>
						    <ion-label class="bigger-text"><ion-icon name="calendar" class="icon-big-2"></ion-icon> Start Date</ion-label>
						    <ion-datetime displayFormat="YYYY-MM-DD" [(ngModel)]="open_date_from"
						    (ngModelChange)="allowToContinue(open_date_from)" max="2020" [min]="minDate"></ion-datetime>
					  	</ion-item>
					  	<ion-item>
						    <ion-label class="bigger-text"><ion-icon name="calendar" class="icon-big-2"></ion-icon> End Date</ion-label>
						    <ion-datetime displayFormat="YYYY-MM-DD" [(ngModel)]="open_date_to"
						    (ngModelChange)="allowToContinue(open_date_to)" max="2020" [min]="minDate"></ion-datetime>
					  	</ion-item>

					  	<div class="departure-button">
							<button (click)="openSelect()">
				  				<ion-item>
					  				<ion-label class="bigger-text"><ion-icon name="clock" class="icon-big-2"></ion-icon>  Departure Times</ion-label>
									<ion-select #openHours (ionChange)="allowToContinue(OpenHours)" 
									[(ngModel)]="OpenHours" multiple="true" class="openHours">
									  <ion-option value="{{item.time}}" *ngFor="let item of hours">{{item.time}}</ion-option>
									</ion-select>
								</ion-item>
							</button> 
						</div>
					</div>

						<div>
					 		<div class="badge badge-success" *ngFor="let item of OpenHours">
					 		{{item}}</div>
					 	</div>

				  	<button (click)="nextPage()" position="bottom" id="button-float"
				  	 ion-button block color="primary" class="rounded" [disabled]="allowContinue"> 
						Next <ion-icon name="md-arrow-forward" style="padding-left:10px"></ion-icon>
					</button>

					<!-- if any other slide -->
					<button (click)="backPage()" position="bottom" id="button-float-left" 
				    		ion-button block color="light" class="rounded" *ngIf="notFirstSlide"> 
				    	<ion-icon name="md-arrow-back" class="icon-big" style="padding-left:10px; color: #888;"></ion-icon>
					</button>
				</div>
			</ion-slide>
		

		<!-- Extra details Page --> 
		<ion-slide>
			<div class="text-center pad-all-10">

				<p>Just a few more details...</p>

    			<ion-row style="margin-top:30px;">
    				<ion-col col-6 class="text-left">
						<ion-label style="text-align: left;">Seats Offered</ion-label>
					</ion-col>
					<ion-col col-2 class="text-left">
						<button (click)="subSeats()" class="priceIcons">
							<ion-icon name="remove" class="grey-circle"></ion-icon>
						</button>
					</ion-col>
					<ion-col col-2>
						<h4 class="text-center" style="padding:16px 0 0 16px"> 
							{{ seats }} </h4>
					</ion-col>
					<ion-col col-2>
						<button (click)="addSeats()" class="priceIcons">
							<ion-icon name="add" class="grey-circle"></ion-icon>
						</button>
					</ion-col>
					<ion-col col-2></ion-col>
				</ion-row>

				<ion-row>
					<ion-col col-6 class="text-left">
						<ion-label style="text-align: left;">Luggage</ion-label>
						<p style="margin-top: -5px; font-size: 10px !important; text-align: left;">(Per Passenger)</p>
					</ion-col>
					<ion-col col-2 class="text-left">
						<button (click)="subLuggage()" class="priceIcons">
							<ion-icon name="remove" class="grey-circle"></ion-icon>
						</button>
					</ion-col>
					<ion-col col-2>
						<h4 class="text-center" style="padding:16px 0 0 16px"> 
						{{ luggage_amount }} </h4>
					</ion-col>
					<ion-col col-2>
						<button (click)="addLuggage()" class="priceIcons">
							<ion-icon name="add" class="grey-circle"></ion-icon>
						</button>
					</ion-col>
				</ion-row>

				<div class="form">
				  	<ion-item>
					    <ion-label>Luggage Size</ion-label>
					    <ion-select  [(ngModel)]="luggage_size">
			      			<ion-option value="Small" Selected>Small</ion-option>
			      			<ion-option value="Medium">Medium</ion-option>
			      			<ion-option value="Large">Large</ion-option>
			      		</ion-select>
				  	</ion-item>

				  	<ion-item>
					    <ion-label>Trip Purpose</ion-label>
					    <ion-select  [(ngModel)]="trip_purpose_id">
			      			<ion-option *ngFor="let item of purposes" value="{{item.id}}">{{item.type}}</ion-option> 
			      		</ion-select>
				  	</ion-item>

				  	<ion-label>Description</ion-label>
				  	<ion-item>
					    
					    <ion-textarea [(ngModel)]="description" 
					    				rows="6" cols="1"
					    				placeholder="Any additional details go here.">
					    </ion-textarea>
				  	</ion-item>
			  	</div>

				<button (click)="uploadRide()" position="bottom" id="button-float"
			  	 ion-button block color="primary" class="rounded"> 
					Create <ion-icon name="md-arrow-forward" style="padding-left:10px"></ion-icon>

				</button>

				<button (click)="backPage()" position="bottom" id="button-float-left" 
			    		ion-button block color="light" class="rounded" *ngIf="notFirstSlide"> 
			    	<ion-icon name="md-arrow-back" class="icon-big" style="padding-left:10px; color: #888;"></ion-icon>
				</button>
			</div>
		</ion-slide>
	</ion-slides> 

<div id="map">
</div>

</ion-content>
